%define debug_package %{nil}


%define powerdevilui_major 5
%define libpowerdevilui %mklibname powerdevilui %{powerdevilui_major}
%define powerdevilcore_major 2
%define libpowerdevilcore %mklibname powerdevilcore %{powerdevilcore_major}
%define powerdevilconfigcommonprivate_major 5
%define libpowerdevilconfigcommonprivate %mklibname powerdevilconfigcommonprivate %{powerdevilconfigcommonprivate_major}
%define powerdevil_devel %mklibname %name -d

Summary:        Manages the power consumption settings of a Plasma Shell
Name:           powerdevil
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:		30-org.freedesktop.upower.pkla
URL:            https://www.kde.org/

BuildRequires:  libxcb-devel
BuildRequires:  lib64xcb-util-image-devel
BuildRequires:  lib64xcb-util-wm-devel
BuildRequires:  lib64xrandr2-devel

BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  kauth-devel
BuildRequires:  kidletime-devel
BuildRequires:  kconfig-devel
BuildRequires:  solid-devel
BuildRequires:  ki18n-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  kio-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  plasma-workspace-devel
BuildRequires:  kwayland-devel

BuildRequires:  lib64kf5kscreen-devel
BuildRequires:  lib64kf5bluezqt-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires: kirigami-devel

Requires:       upower

%description
Manages the power consumption settings of a Plasma Shell

%files -f %{name}.lang
%_qt5_plugindir/*.so
%_libexecdir/kauth/backlighthelper
%_datadir/dbus-1/system-services/org.kde.powerdevil.backlighthelper.service
%_kf5_knotificationsdir/powerdevil.notifyrc
%_datadir/polkit-1/actions/org.kde.powerdevil.backlighthelper.policy
#--------------------------------------------------------------------
%_kf5_libdir/libpowerdevilui.so.%{powerdevilui_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libpowerdevilcore.so.%{powerdevilcore_major}*
#--------------------------------------------------------------------
%_kf5_libdir/libpowerdevilconfigcommonprivate.so.%{powerdevilconfigcommonprivate_major}*
#--------------------------------------------------------------------
%_sysconfdir/polkit-1/localauthority/50-local.d/30-org.freedesktop.upower.pkla
%_sysconfdir/xdg/autostart/powerdevil.desktop
%_libexecdir/org_kde_powerdevil

%_kf5_libdir/qt5/plugins/kf5/powerdevil/powerdevilupowerbackend.so

%_libexecdir/kauth/discretegpuhelper

%_kf5_datadir/dbus-1/system-services/org.kde.powerdevil.discretegpuhelper.service
%_kf5_datadir/polkit-1/actions/org.kde.powerdevil.discretegpuhelper.policy
%_kf5_datadir/dbus-1/system.d/org.kde.powerdevil.backlighthelper.conf
%_kf5_datadir/dbus-1/system.d/org.kde.powerdevil.discretegpuhelper.conf

%_libexecdir/kauth/chargethresholdhelper
%_kf5_datadir/dbus-1/system-services/org.kde.powerdevil.chargethresholdhelper.service
%_kf5_datadir/dbus-1/system.d/org.kde.powerdevil.chargethresholdhelper.conf
%_kf5_datadir/polkit-1/actions/org.kde.powerdevil.chargethresholdhelper.policy
%_kf5_datadir/qlogging-categories5/powerdevil.categories
%_kf5_libdir/libpowerdevilcore.so.*
/usr/lib64/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_powerdevilactivitiesconfig.so
/usr/lib64/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_powerdevilglobalconfig.so
/usr/lib64/qt5/plugins/plasma/kcms/systemsettings_qwidgets/kcm_powerdevilprofilesconfig.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_brightnesscontrolaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_dimdisplayaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_dpmsaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_handlebuttoneventsaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_keyboardbrightnesscontrolaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_powerprofileaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_runscriptaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_suspendsessionaction.so
/usr/lib64/qt5/plugins/powerdevil/action/powerdevil_wirelesspowersavingaction.so
/usr/share/applications/kcm_powerdevilactivitiesconfig.desktop
/usr/share/applications/kcm_powerdevilglobalconfig.desktop
/usr/share/applications/kcm_powerdevilprofilesconfig.desktop


%package handbook
Summary: %name Handbook
Group: Documentation
BuildArch: noarch

%description handbook
This package provides %name Handbook.

%files handbook 
%doc %_docdir/HTML

#--------------------------------------------------------------------

%package -n %powerdevil_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name
Provides:       %name-devel = %{version}-%{release}

%description -n %powerdevil_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %powerdevil_devel
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DCMAKE_BUILD_TYPE=Release
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

rm -rf %buildroot/%{_prefix}/lib/systemd

mkdir -p %buildroot/etc/polkit-1/localauthority/50-local.d
install -m 0644 %SOURCE1 %buildroot/etc/polkit-1/localauthority/50-local.d/30-org.freedesktop.upower.pkla

%find_lang %{name} --all-name


%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

